@charset "utf-8";

.mainvisual {
  height: 100vh;
  /* height: calc(100vh - 140px); */
  /* margin-top: 140px; */
  position: relative;
  overflow: hidden;
}

.mv_inner {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 10;
  width: 74.4%;
  min-width: 1020px;
  height: 100%;
  overflow: visible;
}

.inner_hidden {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.mv_bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}
.mv_bg::before {
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  width: 100%;
  /* height: 59.2%; */
  height: 50%;
  background-color: #f2faeb;
}

.mainvisual .mv {
  width: 100%;
  height: 100%;
  overflow: visible;
}

.mainvisual .mv .swiper-slide {
  position: relative;
}
.mv_above {
  width: 100%;
  /* height: 40.8%; */
  height: 50%;
}
.mv_below {
  width: 100%;
  /* height: 59.2%; */
  height: 50%;
}
.mv01 {
  background: url(../images/top/mv01.png) no-repeat center 95%;
  background-size: cover;
}
.mv02 {
  background: url(../images/top/mv02.png) no-repeat center center;
  background-size: cover;
}
.mv03 {
  background: url(../images/top/mv03.png) no-repeat center 65%;
  background-size: cover;
}
.mv04 {
  background: url(../images/top/mv04.png) no-repeat center top;
  background-size: cover;
}
.mv05 {
  background: url(../images/top/mv05.png) no-repeat center 65%;
  background-size: cover;
}
.mv06 {
  background: url(../images/top/mv06.png) no-repeat center center;
  background-size: cover;
}

/****** pagination *****
************************/
.mainvisual .pagination {
  position: absolute;
  width: 140px;
  height: 140px;
  left: 30px;
  bottom: 20px;
  z-index: 500;
}

.mainvisual .swiper-pagination {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  color: #fff;
  align-items: center;
  justify-content: center;
  letter-spacing: 0.2em;
  pointer-events: none;
  opacity: 0;
  z-index: 1000;
}
.mainvisual .swiper-pagination .swiper-pagination-current {
  font-size: 125%;
  margin-right: 0.1em;
}
.mainvisual .swiper-pagination-circle,
.mainvisual .swiper-pagination-circle2 {
  pointer-events: none;
}
.mainvisual .swiper-pagination-circle svg,
.mainvisual .swiper-pagination-circle2 svg {
  transform: rotate(90deg);
}

.mainvisual .swiper-pagination-circle circle,
.mainvisual .swiper-pagination-circle2 circle {
  fill: none;
  stroke: #fff;
  stroke-width: 2px;
  stroke-dasharray: 308;
  stroke-dashoffset: 308;
}
.mainvisual .swiper-pagination-circle.anim-start circle,
.mainvisual .swiper-pagination-circle2.anim-start circle {
  animation: rotate-circle 4s ease-in-out forwards;
}
.mainvisual .swiper-pagination-circle.anim-end circle,
.mainvisual .swiper-pagination-circle2.anim-end circle {
  animation: rotate-circle-end 1s ease-in-out;
}
.mainvisual .swiper-pagination-circle2 {
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0.3;
}
.mainvisual .swiper-pagination-circle2 circle {
  stroke-dashoffset: 0 !important;
}
.mainvisual .swiper-button-prev,
.mainvisual .swiper-button-next {
  width: 11px;
  height: 19px;
  background: no-repeat 50% 50%/100% auto;
  cursor: pointer;
  transition: opacity 0.3s ease-in;
  top: 50%;
  margin: 0;
  transform: translateY(-50%);
}

.mainvisual .swiper-button-prev::after,
.mainvisual .swiper-button-next::after {
  display: none;
}
@media screen and (min-width: 751px) {
  .mainvisual .swiper-button-prev:hover,
  .mainvisual .swiper-button-next:hover {
    opacity: 0.8;
  }
}

.mainvisual .swiper-button-prev {
  background-image: url(../images/top/prev.png);
  left: 27%;
  right: auto;
}
.mainvisual .swiper-button-next {
  background-image: url(../images/top/next.png);
  right: 27%;
  left: auto;
}

/****** catch ******
********************/
.mv_catch_wrap {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 10;
  width: 74.4%;
  min-width: 1020px;
  height: 100%;
}
.mv_catch {
  position: absolute;
  /* right: -20px; */
  right: -10px;
  bottom: 258px;
  z-index: 10;
}
.mv_catch .mv_catch_text {
  font-size: 2.25rem;
  font-weight: 500;
  line-height: 1.6;
  color: #fff;
}
.mv_catch::after {
  content: "";
  position: absolute;
  right: -180px;
  bottom: -172px;
  width: 446px;
  height: 278px;
  background: url(../images/top/mv_catch.png) no-repeat center center;
  background-size: contain;
}

/****** scroll ******
*********************/
.mainvisual .scroll {
  position: absolute;
  right: 45px;
  bottom: 131px;
  pointer-events: none;
  color: #111;
  z-index: 10;
  text-align: center;
}
.mainvisual .scroll::before {
  content: "";
  display: block;
  width: 1px;
  background-color: #111;
  height: 66px;
}
.mainvisual .scroll::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 32px;
  margin-left: -29.5px;
  border-radius: 50%;
  width: 59px;
  height: 59px;
  background: #1c5624;
  transform: translateY(-60px) scale(0.1);
  opacity: 0;
  animation: scrollAnim 1.5s linear 0s infinite;
}
.mainvisual .scroll span {
  color: #111;
  position: absolute;
  bottom: 68px;
  left: 0;
  transform: translateX(-50%);
  font-size: 0.75rem;
  font-family: "Barlow", sans-serif;
  line-height: 1;
  letter-spacing: 0.04em;
  font-weight: 600;
}
.mainvisual .scroll i {
  content: "";
  border-radius: 5000em;
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  background-color: #1c5624;
  left: -3px;
  bottom: 0;
  z-index: 1000;
}

/****** news *****
******************/
.mainvisual .news {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 10;
  width: 63.5%;
  min-width: 910px;
  display: flex;
  align-items: center;
  background-color: #fff;
}

.mainvisual .news .newsList {
  width: 100%;
}

.mainvisual .news_title {
  height: 100%;
  padding: 29px 40px 22px 37px;
  margin-right: 42px;
  border-right: 1px solid #e9eff4;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  gap: 5px;
  line-height: 1;
}

.mainvisual .news_title .en {
  font-size: 1.375rem;
  color: #6b9d72;
  font-weight: 600;
}

.mainvisual .news_title .ja {
  font-size: 0.75rem;
  color: #888;
}

.mainvisual .news .swiper-wrapper {
  list-style: none;
}

.mainvisual .news .link {
  position: relative;
  z-index: 100;
  padding: 0 35px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 4px;
  flex-shrink: 0;
  background-color: #fff;
}

.news_arrow {
  display: flex;
  gap: 6px;
}

.mainvisual .news .link .news-button-prev,
.mainvisual .news .link .news-button-next {
  width: 27px;
  height: 27px;
  background: no-repeat center center;
  background-size: contain;
  cursor: pointer;
  transition: all 0.3s;
}
.mainvisual .news .link .news-button-prev {
  background-image: url(../images/top/news_prev.png);
}
.mainvisual .news .link .news-button-next {
  background-image: url(../images/top/news_next.png);
}
@media screen and (min-width: 751px) {
  .mainvisual .news .link .news-button-prev:hover,
  .mainvisual .news .link .news-button-next:hover {
    opacity: 0.8;
  }
}

.mainvisual .news .link a {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  color: #6b9d72;
  font-size: 1.125rem;
  font-weight: 500;
  transition: all 0.3s;
}
@media screen and (min-width: 751px) {
  .mainvisual .news .link a:hover {
    opacity: 0.8;
  }
}

.mainvisual .news .link a::before {
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  background: url(../images/top/news_btn.png) no-repeat center center;
  background-size: contain;
}

.mainvisual .news .swiper-slide time {
  font-size: 0.8125rem;
  color: #888;
}

.mainvisual .news .swiper-slide div {
  line-height: 1.6;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  width: 100%;
}

.mainvisual .news .swiper-slide div p {
  width: 95%;
  font-size: 0.9375rem;
  overflow: hidden;
  text-overflow: ellipsis;
  text-wrap: nowrap;
}

/****** flow-text ******
************************/
.flow-text-wrap {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 100;
  overflow: hidden;
}

.flow-text {
  position: absolute;
  left: 0;
  /* top: 36%; */
  top: 46%;
  transform: translateY(-50%);
  align-items: center;
  display: flex;
  width: 100%;
  white-space: nowrap;
  z-index: 100;
}
.flow-text div {
  animation: flowing 40s linear infinite;
  color: #fff;
  font-size: 9.375rem;
  font-weight: 100;
  transform: translateX(100%);
  margin: 0;
  padding: 0;
}
.flow-text div span {
  display: inline-block;
  padding-right: 10px;
}
.flow-lower div {
  color: #6b9d72;
}

@media screen and (max-width: 750px) {
  .mainvisual {
    /* height: calc(100vh - 20vw); */
    height: 100vh;
    /* margin-top: 20vw; */
  }
  .mainvisual::after {
    content: none;
  }

  .mv_inner {
    position: relative;
    width: 89.3%;
    min-width: 0;
    height: calc(100% - 26.67vw);
    /* height: 100%; */
  }

  .mv_bg {
    height: calc(100% - 26.67vw);
  }
  .mv_bg::before {
    width: 100%;
    /* height: calc(100% - 38.7%); */
    height: calc(100% - 47.2%);
    background-color: #f2faeb;
    background-color: #e6f2f6;
  }

  .mainvisual .mv {
    width: 100%;
  }

  .mv_above {
    /* height: 38.7%; */
    height: 47.2%;
  }
  .mv_below {
    /* height: calc(100% - 38.7%); */
    height: calc(100% - 47.2%);
  }
  .mv01 {
    background-image: url(../images/top/mv01_sp.png);
  }
  .mv02 {
    background-image: url(../images/top/mv02_sp.png);
  }
  .mv03 {
    background-image: url(../images/top/mv03_sp.png);
  }
  .mv04 {
    background-image: url(../images/top/mv04_sp.png);
  }
  .mv05 {
    background-image: url(../images/top/mv05_sp.png);
  }
  .mv06 {
    background-image: url(../images/top/mv06_sp.png);
  }

  /****** pagination *****
  ************************/
  .mainvisual .pagination {
    left: auto;
    right: -2.13vw;
    bottom: 10.8vw;
    width: 23.33vw;
    height: 23.33vw;
    transform: translate(25%, 35%);
    z-index: 100;
  }

  .mainvisual .pagination .swiper-pagination-circle2 {
    width: 23.33vw;
    height: 23.33vw;
  }

  .mainvisual .swiper-pagination-circle svg,
  .mainvisual .swiper-pagination-circle2 svg {
    width: 100%;
  }

  .mainvisual .swiper-button-prev,
  .mainvisual .swiper-button-next {
    /* width: 0.42em; */
    width: 1.79vw;
    /* height: 1em; */
    height: 3.06vw;
  }
  .mainvisual .swiper-button-prev {
    left: 25%;
  }
  .mainvisual .swiper-button-next {
    right: 25%;
  }

  /****** catch ******
  ********************/
  .mv_catch_wrap {
    width: 89.3%;
    min-width: 0;
    height: calc(100% - 26.67vw);
  }
  .mv_catch {
    right: auto;
    left: 10.67vw;
    bottom: 48vw;
    z-index: 10;
  }
  .mv_catch .mv_catch_text {
    font-size: 5.33vw;
  }
  .mv_catch::after {
    right: -13.47vw;
    bottom: -30.8vw;
    width: 59.47vw;
    height: 37.07vw;
  }

  /****** scroll ******
  *********************/
  .mainvisual .scroll {
    display: none;
  }

  /****** news ******
  *******************/
  .mainvisual .news {
    width: 100%;
    min-width: 0;
  }
  .mainvisual .news .newsList {
    width: calc(100% - 17.33vw);
  }

  .mainvisual .news_title {
    padding: 8.67vw 3.2vw 8.93vw 2.67vw;
    /* margin-right: 38px; */
    margin-right: 5.07vw;
    border-right: 0.27vw solid #e9eff4;
    gap: 1.6vw;
  }

  .mainvisual .news_title .en {
    font-size: 4.8vw;
  }

  .mainvisual .news_title .ja {
    font-size: 2.67vw;
  }

  .mainvisual .news .swiper-wrapper {
    width: calc(100% - 260px);
    min-width: 480px;
  }

  .mainvisual .news .swiper-wrapper {
    width: 65%;
  }

  .mainvisual .news .link {
    padding: 0 6.13vw 0 0;
    position: absolute;
    right: 0;
    top: 4.27vw;
    flex-direction: row;
    gap: 2.67vw;
  }

  .news_arrow {
    gap: 0.8vw;
  }
  .mainvisual .news .link .news-button-prev,
  .mainvisual .news .link .news-button-next {
    width: 4.53vw;
    height: 4.53vw;
  }

  .mainvisual .news .link a {
    font-size: 3.73vw;
    gap: 1.47vw;
  }

  .mainvisual .news .link a::before {
    width: 1em;
    height: 1em;
  }

  .mainvisual .news .swiper-slide {
    line-height: 1.4;
  }

  .mainvisual .news .swiper-slide time {
    font-size: 3.2vw;
  }

  .mainvisual .news .swiper-slide div p {
    width: 90%;
    padding-top: 4vw;
    font-size: 3.2vw;
    text-overflow: inherit;
    text-wrap: wrap;
  }

  /****** flow-text ******
************************/
  .flow-text {
    left: 0;
    top: 45.2vw;
    top: 38.3vh;
    height: 14.13vw;
  }
  .flow-text div {
    font-size: 16.93vw;
  }
  .flow-text div span {
    padding-right: 1.33vw;
  }
}

@keyframes scrollAnim {
  0% {
    transform: translateY(-60px) scale(0.1);
    opacity: 0;
  }
  10% {
    transform: translateY(-60px) scale(0.1);
    opacity: 1;
  }
  34% {
    transform: translateY(-5px) scale(0.1);
  }
  35% {
    transform: scale(0.1);
    opacity: 1;
  }
  40% {
    opacity: 0.5;
  }
  80% {
    transform: scale(1);
    opacity: 0;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}

@keyframes rotate-circle {
  0% {
    stroke-dashoffset: 308;
  }
  1% {
    stroke-dashoffset: 308;
  }
  100% {
    stroke-dashoffset: 0;
  }
}

@keyframes rotate-circle-end {
  0% {
    stroke-dashoffset: 0;
  }
  100% {
    stroke-dashoffset: 308;
  }
}

@keyframes flowing {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}
